com.google.cloud.dataflow.examples.common

## Class ExampleBigQueryTableOptions.BigQueryTableFactory

- java.lang.Object
- - com.google.cloud.dataflow.examples.common.ExampleBigQueryTableOptions.BigQueryTableFactory

All Implemented Interfaces:
  DefaultValueFactory<String>

Enclosing interface:
  ExampleBigQueryTableOptions

    public static class ExampleBigQueryTableOptions.BigQueryTableFactory
    extends Object
    implements DefaultValueFactory<String>

Returns the job name as the default BigQuery table name.

### Constructor Summary

Constructors
Constructor and Description
`BigQueryTableFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `create(PipelineOptions options)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BigQueryTableFactory

    public BigQueryTableFactory()

### Method Detail

#### create

    public String create(PipelineOptions options)

Specified by:
  `create` in interface `DefaultValueFactory<String>`